﻿@model LoyaltyPointEngine.Model.Object.Member.DistrictModel
@{
   
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Add MemberDistrict</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Add District</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.MemberDistrict.Add(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formAddMemberDistrict" }))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                    <div class="alert alert-danger">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                        <i class="fa fa-times-circle"></i>
                        Error occured:
                        <br />
                        @Html.ValidationSummary()
                    </div>
                    }
                    <div class="form-group">
                        <label class="col-md-3 control-label">Province <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.ProvinceID, ViewBag.ListProvince as IEnumerable<SelectListItem>,
                            "", new { @class = "select2-select-00 col-md-12 full-width-fix required" })
                        </div>
                    </div>
                    
                    
                    <div class="form-group">
                        <label class="col-md-3 control-label">DistrictCode <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.DistrictCode, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>
                    
                    <div class="form-group">
                        <label class="col-md-3 control-label">DistrictName <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.DistrictName, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>
                    
                
                    <div class="form-actions">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>

                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>
@section FooterScript{


    <script>
       


        $(document).ready(function () {



            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())

            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                        ? 'You missed 1 field. It has been highlighted.'
                        : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });

            $("#formAddMemberDistrict").validate();


        });


    </script>
}